Get current state of all spaces of a particular type in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaces": [
{
"space": {
"spaceId": 241,
"floorId": 26,
"label": "MR-1-35",
"capacity": 9
},
"occupancy": 3,
"state": "Occupied"
}
]
}Analytics - Workplace Operations
Get current state of all spaces of a particular type in a building.
This request returns the current state for each Space of a given SpaceType in a given building. The response will always contain all Spaces matching these criteria.
Spaces that can not be measured with high accuracy are returned with state “Unknown”.
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
GET
/
public
/
api
/
analytics
/
v1
/
workplace
/
building
/
{buildingId}
/
utilization
/
current
/
space
Get current state of all spaces of a particular type in a building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/current/space"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich",
"floors": [
{
"floorId": 26,
"name": "1st Floor"
}
]
},
"spaces": [
{
"space": {
"spaceId": 241,
"floorId": 26,
"label": "MR-1-35",
"capacity": 9
},
"occupancy": 3,
"state": "Occupied"
}
]
}Authorizations
Path Parameters
The unique ID of a building.
Example:
6
Query Parameters
The type of spaces that should be returned. This parameter is case sensitive.
The type of Space as seen in Locatee Analytics.
Available options:
Desk, MeetingRoom, CollaborationSpace, Undefined Example:
"MeetingRoom"

